QT += quick multimedia

CONFIG += c++11
CONFIG -= app_bundle

TARGET = ScStwMonitor
VERSION = 1.1

# The following define makes your compiler emit warnings if you use
# any feature of Qt which as been marked deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if you use deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

# for raspi
contains(QMAKE_CXX, .*aarch.*):{
    message("this is raspi")
    DEFINES += RASPI
}

SOURCES += \
        sources/main.cpp

RESOURCES += \
        resources/qml/qml.qrc \
        resources/shared/shared.qrc


# include submodules
CONFIG += ScStwLibraries_QML ScStwLibraries_Styling ScStwLibraries_ClientLibs
include($$PWD/shared-libraries/ScStwLibraries/ScStwLibraries.pri)

# Additional import path used to resolve QML modules in Qt Creator's code model
QML_IMPORT_PATH =

# Additional import path used to resolve QML modules just for Qt Quick Designer
QML_DESIGNER_IMPORT_PATH =

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
# target path for raspi
else: unix:!android: target.path = /usr/bin
!isEmpty(target.path): INSTALLS += target

HEADERS += \

DISTFILES += \
    android/AndroidManifest.xml \
    android/build.gradle \
    android/gradle/wrapper/gradle-wrapper.jar \
    android/gradle/wrapper/gradle-wrapper.properties \
    android/gradlew \
    android/gradlew.bat \
    android/res/values/libs.xml \
    android/src/MainActivity.java

android {
    ANDROID_PACKAGE_SOURCE_DIR = \
        $$PWD/android
}

ios {
    QMAKE_ASSET_CATALOGS += icon/Assets.xcassets
    xcode_product_bundle_identifier_setting.value = "de.itsblue.ScStwMonitor"

    OBJECTIVE_SOURCES += \
        sources/sleepprevent.mm
    OBJECTIVE_HEADERS += \
        headers/sleepprevent.h
}

